> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hubspot.fr/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Restore a previous version of a Page

> Restore a previous revision of a page.

> **Scope requirements**


## OpenAPI

````yaml specs/legacy/v2/pages-v2.json POST /content/api/v2/pages/{page_id}/versions/restore
openapi: 3.0.1
info:
  title: Pages API
  description: Use the pages API to create and manage website pages in HubSpot CMS.
  version: v2
servers:
  - url: https://api.hubapi.com
security: []
tags:
  - name: Pages
paths:
  /content/api/v2/pages/{page_id}/versions/restore:
    post:
      tags:
        - Pages
      summary: Restore a previous version of a Page
      description: Restore a previous revision of a page.
      operationId: restorePageVersion
      parameters:
        - name: page_id
          in: path
          description: The unique identifier for the page
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                version_id:
                  type: integer
                  description: The version number to restore
              required:
                - version_id
            examples:
              restore_version:
                summary: Restore a specific version
                value:
                  version_id: '3280956201'
      responses:
        '200':
          description: Successfully restored version

````